/* -*- C -*-
 * $Id$
 *
 * @author Daniel Silverstone <dsilvers@digital-scurf.org>
 */

#ifndef CACHE_H
#define CACHE_h

extern unsigned int hits;
extern unsigned int miss;
extern int skip;
void InitCaches();
void ClearCaches();

const unsigned char * GetData(int ofs,int important);
const int GetSize(int ofs, int important);
const int GetMTime(int ofs, int important);

int GetFile(const char* filename, int important);

void LockCache();
void UnlockCache();

void register_cache(lua_State *);
#endif



