/* Bring everything in */
#include "isapi_lua.h"

#include <time.h>

extern void register_postgres(lua_State*);

int timer(lua_State *L)
{
  lua_pushnumber(L,time(0));
  return 1;
}

lua_State *ISAPI_Create_Lua_State( LPEXTENSION_CONTROL_BLOCK ecb )
{
  /* Create a lua state */
  lua_State *ret = lua_open(4096);

  lua_baselibopen(ret);
  lua_iolibopen(ret);
  lua_strlibopen(ret);
  lua_mathlibopen(ret);
  /* Redefine the naughty functions */

  /* Add some important data */
  lua_pushstring(ret,"Content-Type: text/html\n");
  lua_setglobal(ret, "HEADER_CONTENTS");
  lua_pushstring(ret,"200 OK");
  lua_setglobal(ret,"RESPONSE");
  /* And some useful code */

  /*
   * Send () Takes a string, writes it to the Client, sending headers if need be
   */
 
  /* Rewrite some stuff */
  lua_dostring(ret, "function _ALERT(s) Send(\"<p><pre><b>\" .. s .. \"</b></pre></p>\") end");
  lua_dostring(ret, "_OUTPUT=\"\"");
  lua_dostring(ret, "function Send(s) _OUTPUT = _OUTPUT .. s; end");

  lua_pushcclosure(ret, timer, 0);
  lua_setglobal(ret, "timer");

  register_postgres(ret);

  return ret;
}
